Subject: bug#40713: closed (Re: bug#40713: Guix fails to build a system when specifying an inferior package for the kernel)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 20 Apr 2020 22:10:03 +0000

Your bug report

#40713: Guix fails to build a system when specifying an inferior package for the kernel

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40713: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40713
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#40713: Guix fails to build a system when specifying an inferior package for the kernel
From: Ludovic Courtès <[email-masked]>
To: pkill9 <[email-masked]>
Cc: Marius Bakke <[email-masked]>, [email-masked]
Date: Tue, 21 Apr 2020 00:09:51 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

pkill9 <[email-masked]> skribis:

>> Can you provide a config.scm that reproduces this issue?
>
> Yes, I've attached a basic config.scm that reproduces the error.

Fixed in 71977a6c59460e029c91741c8b11f3a544a70486.

Thanks,
Ludo’.

Subject: Guix fails to build a system when specifying an inferior package for the kernel
From: pkill9 <[email-masked]>
To: [email-masked]
Date: Sun, 19 Apr 2020 11:53:45 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm getting an error when trying to build a Guix system on the latest
Guix revision (commit ea6594e08e2724c64bc07724a07479fc1633dede):

```
Backtrace:
           1 (primitive-load "/root/.config/guix/current/bin/guix")
In guix/ui.scm:
  1936:12  0 (run-guix-command _ . _)

guix/ui.scm:1936:12: In procedure run-guix-command:
In procedure %package-replacement-real: Wrong type argument:
#<inferior-package [email-masked] 7f659c641150>
```

I can't find '%package-replacement-real' anywhere in the source.